"use strict";

var _qtiImports = require("../qtiImports");

var _constants = require("@instructure/quiz-common/lib/constants");

describe('qtiImports actions creators', function () {
  it('returns a well-formed addQtiImports action', function () {
    var qtiImports = [{
      id: 1,
      status: 'started',
      parentId: '1',
      parentType: 'Quiz'
    }, {
      id: 2,
      status: 'started',
      parentId: '2',
      parentType: 'Quiz'
    }];
    var addImportsAction = (0, _qtiImports.addQtiImports)(qtiImports);
    var expectedAction = {
      type: _constants.ADD_QTI_IMPORTS,
      payload: qtiImports
    };
    expect(addImportsAction).to.deep.equal(expectedAction);
  });
  it('returns a well-formed clearQtiImports action', function () {
    var addImportsAction = (0, _qtiImports.clearQtiImports)();
    var expectedAction = {
      type: _constants.CLEAR_QTI_IMPORTS
    };
    expect(addImportsAction).to.deep.equal(expectedAction);
  });
});